if m_simpleTV.User==nil then m_simpleTV.User={} end
if m_simpleTV.User.VietTV==nil then m_simpleTV.User.VietTV={} end


local tt={
--{"VTV Plus","user/tvplaylists/viet/vtvplus.lua"},
--{"HPlus","user/tvplaylists/viet/hplus.lua"},
--{"zTV","user/tvplaylists/viet/ztv.lua"},
{"FPT Play LiveTV","user/tvplaylists/viet/fptplay.lua"},
{"Back to World TV playlist menu","user/tvplaylists/tvscr/loadworldpls.lua"},
{"Back to main menu","user/tvplaylists/tvinit.lua"},
}

local t ={}
for i=1,#tt do
      t[i] = {}
      t[i].Id   =  i
      t[i].Name =  tt[i][1]
      t[i].Adress  = ''
      t[i].Action  = tt[i][2]
  end
local ret,id = m_simpleTV.OSD.ShowSelect('Select playlists',0,t,10000,1+4+8)
     if ret==1 then 
	dofile(m_simpleTV.MainScriptDir .. t[id].Action)
      end
--[[                 
local t ={}
 t[1] = {} t[2] = {} t[3] = {} t[4] = {} t[5] = {}


  t[1].Id=1
  t[1].Name='VTV Plus'
  t[1].Adress=''
 
  t[2].Id=2
  t[2].Name='HPlus'
  t[2].Adress=''
   
  t[3].Id=3
  t[3].Name='zTV'
  t[3].Adress=''

  t[4].Id=4
  t[4].Name='FPT Play LiveTV'
  t[4].Adress=''

  t[5].Id=5
  t[5].Name='Back to World TV playlist menu'
  t[5].Adress=''


 local ret,id = m_simpleTV.OSD.ShowSelect('Select Playlists',0,t,10000,1+4+8)
  
 if id==1 then 
   dofile(m_simpleTV.MainScriptDir .. 'user/tvplaylists/viet/vtvplus.lua')
  elseif id==2 then
   dofile(m_simpleTV.MainScriptDir .. 'user/tvplaylists/viet/hplus.lua')
  elseif id==3 then	 
   dofile(m_simpleTV.MainScriptDir .. 'user/tvplaylists/viet/ztv.lua')
  elseif id==4 then	 
   dofile(m_simpleTV.MainScriptDir .. 'user/tvplaylists/viet/fptplay.lua')
  elseif id==5 then	 
   dofile(m_simpleTV.MainScriptDir .. 'user/tvplaylists/tvscr/loadworldpls.lua')
end
]]